# API Create Job

## <https://systemsx.co.uk/products/bridge>

## Create a Booking Job

<mark style="color:green;">`POST`</mark> `/external/deploy/booking`

This endpoint allows the creation of a booking job. Either the `username` **or** the `email_address` parameter is required, but **only one** should be provided.

**Body**

<table><thead><tr><th width="350">Name</th><th width="92">Type</th><th>Required</th></tr></thead><tbody><tr><td><code>api_key</code></td><td>string</td><td>true</td></tr><tr><td><code>type</code></td><td>string</td><td><code>po,msc,tui</code></td></tr><tr><td><code>bookingReference</code></td><td>string</td><td>true</td></tr><tr><td><code>return_url</code></td><td>url</td><td>false</td></tr><tr><td><code>organisationName</code></td><td>string</td><td>required</td></tr><tr><td><code>agentName</code></td><td>string</td><td>required</td></tr><tr><td><code>bookingFields[]</code></td><td>array</td><td>true</td></tr><tr><td><code>bookingFields[username]</code></td><td>string</td><td>[username OR email_address]</td></tr><tr><td><code>bookingFields[email_address]</code></td><td>email</td><td>[username OR email_address]</td></tr><tr><td><code>bookingFields[password]</code></td><td>string</td><td>true</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "hash": "XXXXXXXXXXXXXXXXXXXXX"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "hash": "XXXXXXXXXXXXXXXXXXXXX",
  "errors": [
    "X field is Missing or Empty."
  ]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="return\_url Response" %}

```json
{
  "hash": "XXXXXXXX",
  "ImportDetail": {
      "importRequest": {
          "sourceReference": "",
          "bookingReference" : "",
          "bookingFields": [],
          "returnUrl": "",
          "api_key": "",
          "type": ""
      }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.systemsx.co.uk/bridge/api-create-job.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
